Subject: can't build pkg_install on 1.6.2
To: None <>
From: Hubert Feyrer <>
List: tech-pkg
Date: 04/23/2004 21:01:59
Trying to install pkgsrc/pkgtools/pkg_install from latest pkgsrc on
1.6.2/i386, I get:

	===> Building for pkg_install-20040421
	gcc -DHAVE_CONFIG_H -DDEF_LOG_DIR=\"/var/db/pkg\"
	-DTAR_CMD=\"/usr/bin/tar\" -DFTP_CMD=\"/usr/bin/ftp\"
	-DDEF_UMASK=0022 -I. -I. -O2 -c ftpio.c
	In file included from ftpio.c:87:
	/usr/include/sys/poll.h:42: warning: redefinition of `nfds_t'
	warning: `nfds_t' previously declared here
	/usr/include/sys/poll.h:44: redefinition of `struct pollfd'
	*** Error code 1

How can I get this going?

 - Hubert